This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169516 - Cryptic error message when trying to create already-used md
Cryptic error message when trying to create already-used md
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 04:49 EDT by Andrew Stribblehill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.2-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 15:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Stribblehill 2005-09-29 04:49:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050911 Firefox/1.0.6 (Debian package 1.0.6-5)

Description of problem:
When there is (say) a /dev/md0 already created, the error message returned when I accidentally try to create /dev/md0 as a new array leaves something to be desired:

mdadm: SET_ARRAY_INFO failed for /dev/md0: Invalid argument

# df -hl
Filesystem            Size  Used Avail Use% Mounted on
/dev/md0              3.9G  2.1G  1.7G  56% /
/dev/shm              2.0G     0  2.0G   0% /dev/shm

# mdadm -C /dev/md0 --level 1 -n2 /dev/hda3 /dev/hdc3
mdadm: SET_ARRAY_INFO failed for /dev/md0: Invalid argument


Version-Release number of selected component (if applicable):
mdadm-1.11.0-4.fc4

How reproducible:
Always

Steps to Reproduce:
# df -hl
Filesystem            Size  Used Avail Use% Mounted on
/dev/md0              3.9G  2.1G  1.7G  56% /
/dev/shm              2.0G     0  2.0G   0% /dev/shm

# mdadm -C /dev/md0 --level 1 -n2 /dev/hda3 /dev/hdc3
mdadm: SET_ARRAY_INFO failed for /dev/md0: Invalid argument


Actual Results:  mdadm: SET_ARRAY_INFO failed for /dev/md0: Invalid argument

Expected Results:  mdadm: Could not create /dev/md0: Array already created

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:50:25 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Doug Ledford 2007-07-03 11:11:50 EDT
This is old, but still applies to the now current mdadm.  Updating version. 
This has been fixed in mdadm-2.6.2-2 or later.
Comment 3 Fedora Update System 2007-07-10 02:42:15 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-07-20 15:35:17 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.